I designed a Wordpress Wordpress plugin with a jQuery file. Now I have got the issue, that individuals who use my wordpress plugin could have a different jQuery Version on their own Wordpress Blogs, what exactly shall I actually do to handle that? My wordpress plugin frequently does not use 'other' jQuery Versions.

Maybe there's anybody who's addicted using the wordpress api. Maybe you will find some hooks I did not know (this really is my first wordpress plugin). I'll be pleased if these ones may have a short try looking in my sources: http://wordpress.org/extend/plugins/slide2comment/

You need to load your CSS and JS files using wordpress_enqueue_script and wordpress_enqueue_style rather than printing them like a hook on wordpress_print_style. This can make sure that you don't load a script that another wordpress plugin also loads.

http://codex.wordpress.org/Function_Reference/wp_enqueue_script